"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eslintRelatedWebpackConfigs = exports.eslintRelatedScripts = exports.eslintRelatedFiles = exports.eslintRelatedPackages = exports.scssRelatedWebpackConfigs = exports.scssRelatedPackages = void 0;
exports.scssRelatedPackages = ["node-sass", "sass-loader"];
exports.scssRelatedWebpackConfigs = [
    ["/\\.s(a|c)ss$/", "/\\.css/"],
    [/\n(.)*sass-loader(.)*/, ""]
];
exports.eslintRelatedPackages = [
    "eslint",
    "eslint-plugin-import",
    "eslint-plugin-react",
    "eslint-plugin-react-hooks",
    "eslint-webpack-plugin",
    "@typescript-eslint/eslint-plugin",
    "@typescript-eslint/parser",
    "fork-ts-checker-webpack-plugin"
];
exports.eslintRelatedFiles = [".eslintrc", ".eslintignore"];
exports.eslintRelatedScripts = ["lint", "lint:fix"];
exports.eslintRelatedWebpackConfigs = [
    [/\n.*eslint.webpack.plugin.*/g, ""],
    [/\n.*fork.ts.checker.webpack.plugin.*/g, ""],
    [/\n.*new.*ESLintPlugin(.*\n){6}.*/, ""],
    [/\n.*new.*ForkTsCheckerWebpackPlugin(.*\n){8}.*/, ""]
];
